Loading...
Searching...
No Matches
juce::AudioPlayHead::TimeSignature Struct Reference

`#include <juce_AudioPlayHead.h>`

## Public Member Functions

bool | operator== (const TimeSignature &other) const
bool | operator!= (const TimeSignature &other) const

## Public Attributes

int | numerator = 4
int | denominator = 4

## Detailed Description

Describes a musical time signature.

See also
  PositionInfo::getTimeSignature() PositionInfo::setTimeSignature()

Definition at line 159 of file juce_AudioPlayHead.h.

## Member Function Documentation

## operator!=()

bool juce::AudioPlayHead::TimeSignature::operator!= | ( | const TimeSignature & | other | ) | const

inline

Definition at line 173 of file juce_AudioPlayHead.h.

## operator==()

bool juce::AudioPlayHead::TimeSignature::operator== | ( | const TimeSignature & | other | ) | const

inline

Definition at line 167 of file juce_AudioPlayHead.h.

## Member Data Documentation

## denominator

int juce::AudioPlayHead::TimeSignature::denominator = 4

Time signature denominator, e.g. the 4 of a 3/4 time sig

Definition at line 165 of file juce_AudioPlayHead.h.

## numerator

int juce::AudioPlayHead::TimeSignature::numerator = 4

Time signature numerator, e.g. the 3 of a 3/4 time sig

Definition at line 162 of file juce_AudioPlayHead.h.

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h